package signald

import (
	"math/rand"
)

const idsize = 10

var charset = []rune("abcdefghijklmnopqrstuvwxyz0123456789")

// GenerateID is a helper function to generate random request IDs.
func GenerateID() string {
	id := make([]rune, idsize)
	for i := range id {
		id[i] = charset[rand.Intn(len(charset))]
	}
	return string(id)
}
